// restituisce un riferimento alloggetto il cui ID  
// passato come input
function getObj(elementID){
if (typeof elementID == "string") 
	return document.getElementById(elementID);
else
	return elementID;
}

//muove un elemento alle coordinate (x,y,z)
//x ed y espresse in pixel, z in valore assoluto
function muoviA(elementID,x,y,z){
	var elemento = getObj(elementID);
	elemento.style.left = x + "px";
	elemento.style.top = y + "px";
	elemento.style.zIndex = z;
}

//restituisce la coordinata x di un elemento posizionabile
//coordinata interpretata come pixel
function getX(elementID){
return parseInt(getObj(elementID).style.left);
}

//restituisce la coordinata y di un elemento posizionabile
//coordinata interpretata come pixel
function getY(elementID){
return parseInt(getObj(elementID).style.top);
}

//restituisce lo z-index di un elemento posizionabile
function getZ(elementID){
return parseInt(getObj(elementID).style.zIndex);
}

//setta la visibilita' di un elemento a vis
function setVisibility(elementID,vis){
var elemento = getObj(elementID);
if (vis == true || vis=='visible')
	elemento.style.visibility = "visible";
else
	elemento.style.visibility = "hidden";
}


//restituisce la visibilita' di un elemento
function isVisible(elementID) {
var elemento = getObj(elementID);
return (elemento.style.visibility == "visible") ? true: false;
}

//setta la regione ritagliata (clip region) di un elemento
function setClip(elementID,top,right,bottom,left){
var elemento = getObj(elementID);
var r = 'rect('+top+'px,'+right+'px,'+bottom+'px,'+left+'px)';
elemento.style.clip = r;
}

//restituisce la larghezza della finestra del browser
function getWidth(){
var larghezza=null;
//Netscape usa window.innerWidth 
if (window.innerWidth) 
	larghezza = window.innerWidth;

//IE usa document.body.clientWidth 
if (document.body.clientWidth) 
	larghezza = document.body.clientWidth;

return larghezza;
}


//restituisce l'altezza della finestra del browser
function getHeight(){
var altezza = null;
//Netscape usa window.innerHeight 
if (window.innerHeight) 
	altezza = window.innerHeight;

//IE usa document.body.clientHeight 
if (document.body.clientHeight) 
altezzza = document.body.clientHeight;

return altezza;
}



//setta il colore di sfondo di un elemento
function setBackground(elementID, colore){
getObj(elementID).style.background = colore;
}


//setta il colore di primo piano di un elemento
function setColor(elementID, colore){
getObj(elementID).style.color = colore;
}

//cambia il tipo di cursore, il secondo argomento e' opzionale
function setCursor(cursortype,elementID){
if (elementID==null)
	document.body.style.cursor = cursortype;
else
	getObj(elementID).style.cursor = cursortype;
}



//NON ANCORA ESAMINATI

/*This function sets the total height and width of the
window.*/
function setWindowSize(w,h){
window.resizeTo(w,h);
}
/*This function sets the size of the window to cover all
of the screen.*/
function maximizeWindow(){
window.moveTo(0,0);
window.resizeTo(screen.availWidth,screen.availHeight);
}



/* Redirects visitors who are using outdated browsers.*/
function checkDOM(newlocation){
if (!theDOM1){
window.location.replace(newlocation);
}
}




/*Setting the display of an object*/
function setDisplay(obj,dis){
var theObj = getObj(obj);
if (dis==true || dis=='block' || dis=='y'){
theObj.style.display = "block";
}else{
if (dis==false || dis=='n'){
theObj.style.display = "none";
}else{
theObj.style.display = dis;
}
}
}
/*Getting the display of an object*/
function isDisplayed(obj) {
var theObj = getObj(obj);
return theObj.style.display;
}

